Skip to navigation

PM · Tasks · Add or remove file attachments on a task

View as Markdown

Add or remove file attachments on a task. Attachments are addressed by attachment UUID (get IDs from getTask?expand=attachments). Body: {"add": ["<attachment_id>", ...], "remove": ["<attachment_id>", ...]}. Either key may be omitted. Returns the updated attachment list.

Authentication

AuthorizationApi-Key

Header authentication of the form Api-Key <token>

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_idstringRequired

Headers

OrganizationstringOptional

Workspace (organization) ID the request is scoped to.

SpacestringOptional

Optional sub-space ID for further scoping inside the workspace.

Request

This endpoint expects an object.
addlist of maps from strings to anyOptional
removelist of stringsOptional

Response

Updated attachment list.